NNG_PULL_OPEN(3)

NAME
nng_pull_open - create pull socket

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/protocol/pipeline0/pull.h>
    int nng_pull0_open(nng_socket *s);
    int nng_pull0_open_raw(nng_socket *s);

DESCRIPTION

The nng_pull0_open() function creates a pull version 0 socket and returns it at the location pointed to by s.

The nng_pull0_open_raw() function creates a pull version 0 socket in raw mode and returns it at the location pointed to by s.

RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory is available.

NNG_ENOTSUP
    The protocol is not supported.

SEE ALSO

nng_socket(5), nng_pull(7), nng_push(7), nng(7)